Calculate the income splits of an expectation Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/expectation/calculate

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • chargeable_type string Required

    Chargeable model type to run calculation on. Valid types are: client, plan

    Values are client or plan.

  • chargeable_uuid string(uuid) Required

    Chargeable model UUID to run calculation on.

  • amount integer Required

    Expected net amount to calculate on in pennies.

  • ongoing boolean

    Whether to run the calculation based on ongoing charges. Leave as false for initial charges. Defaults to false.

  • tax_exempt boolean

    Denotes whether the net amount given is tax exempt or not. Defaults to true.

  • tax number(float)

    Custom tax rate to apply to the net amount. Defaults to firm setting or defaults to Plannr setting of 20%.

    Minimum value is 0.0, maximum value is 100.0.

  • seller_uuid string(uuid)

    Select a different adviser to run the calculation again. If not provided a default based on the chargeable model will be selected.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
POST /api/v1/expectation/calculate
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/expectation/calculate' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"chargeable_type":"client","chargeable_uuid":"c50addb2-bc07-4c43-ab40-8e2af62f16f6","amount":12500,"ongoing":false,"tax_exempt":false,"tax":17.5,"seller_uuid":"c0c29568-7a80-47f7-aaf6-595313dc1286"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "chargeable_type": "client",
  "chargeable_uuid": "c50addb2-bc07-4c43-ab40-8e2af62f16f6",
  "amount": 12500,
  "ongoing": false,
  "tax_exempt": false,
  "tax": 17.5,
  "seller_uuid": "c0c29568-7a80-47f7-aaf6-595313dc1286"
}
Response examples (401)
{
  "message": "Unauthenticated."
}